### Method

# Foundry BuildManager load_pipeline

#### Declaration [src]

    DexFuture*
    foundry_build_manager_load_pipeline (
      FoundryBuildManager* self
    )

#### Description [src]

Loads the pipeline as a future.

If the pipeline is already being loaded, the future will be completed as part of that request.

If the pipeline is already loaded, the future returned will already be resolved.

Otherwise, a new request to load the pipeline is created and the future will resolve upon completion.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `FoundryPipeline`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.